const inRangeOf = ({ min, max }) => {
    if (min > max || max < min) {
        throw new RangeError(`min must be less than max, max must also be greater than min. Min: ${min}, Max: ${max}`);
    }
    return {
        min,
        max,
    };
};
const isInRangeOf = ({ min, max, value, }) => value >= min && value <= max;
export { inRangeOf, isInRangeOf };
//# sourceMappingURL=index.js.map